Name:           pmbootstrap
Version:        2.0.0
Release:        %mkrel 1
Summary:        A sophisticated chroot/build/flash tool to develop and install postmarketOS
License:        GPL-3.0-only
URL:            https://www.postmarketos.org
Group:			Development/Other
# cannot use %%{pypi_source} due to
# https://gitlab.com/postmarketOS/pmbootstrap/-/issues/2009
Source0:        https://gitlab.com/postmarketOS/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-argcomplete
# FIXME: once we can run the tests, add this back
# BuildRequires:  python3dist(pytest)
BuildRequires:  python3-setuptools
BuildRequires:	pyproject-rpm-macros
Requires:       openssl
Requires:       git

%description
Sophisticated chroot/build/flash tool to develop and install postmarketOS.

%prep
%autosetup -n %{name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check
# cannot run the tests at the moment:
# https://gitlab.com/postmarketOS/pmbootstrap/-/issues/2010
# python3 setup.py test

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{python3_sitelib}/pmb
%{python3_sitelib}/pmbootstrap-2.0.0.dist-info/*
